Bug 190566 - Latest Fedora5 Update gives segment fault in libidl.so.6.1
Latest Fedora5 Update gives segment fault in libidl.so.6.1
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libIDL (Show other bugs)
5
ppc64 Linux
medium Severity urgent
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-03 12:34 EDT by Tom Legbandt
Modified: 2008-02-08 23:37 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-08 23:37:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Legbandt 2006-05-03 12:34:54 EDT
Description of problem:

After running Software Updater and restarting the machine (dual boot) a second
option of Fedora appeared.  I selected and ran the latest version.  When
attempting to run the NOAA supplied program, SeaDas 5.9, I got the following error:

/opt/seadas/idl_rt/bin/bin.linux.x86/libidl.so.6.1  Cannot restore segment prot
after reloc:  Permission denied.  (well, I'm the administrator running on root)

When I shut the machine down, as it was closing processes, one of the messages
said, in part:

hcid[1852] Segment fault. . . . .(dunno the rest - went by too fast.)


Version-Release number of selected component (if applicable):
The latest update as of today, May 3, 2006 (I can't tell the version without
restarting the machine.)


How reproducible:Every time I boot the machine


Steps to Reproduce:
1.logon
2.from a bash shell type 'seadas -em'
3.
  
Actual results:
Errors out.

Expected results:
Program to run as it did before I ran the Software Updater.


Additional info:This is a 64 bit machine.  SeaDas uses the IDL libraries as an
embedded license.
Comment 1 Tom Legbandt 2006-05-03 13:02:34 EDT
the working (old) version was 2.6.15-1.2054_FC5

the new (not working) version is 2.6.16-1.2096_FC5

the error is actually hcid[1851] and not hcid[1852]
Comment 2 Matthias Clasen 2008-02-08 23:37:10 EST
Fedora 5 is not supported anymore. Sorry for not getting your problem fixed in a
timely manner.

Note You need to log in before you can comment on or make changes to this bug.